<?php
require'fun.php';
require'f_admin.php';
$titlu='Validează nume';
$back[1]='<a href="/admin-lista-validari">'.img('administrare.png',1).'Lista validari</a>';
$back[2]='<a href="/admin-nume-ne-validate">'.img('administrare.png',1).'Nume ne validate</a>';
require'f_sus.php';
$info=$conn->query('SELECT`de`,`nume`,`valid`,`data`FROM`istoric_nume`WHERE`id`="'.$pid.'"')->fetch_row();
$nume_vechi=nume($info[0],1);
if(($info[2]>0?false:$conn->query('UPDATE`membrii`SET`nume`="'.$info[1].'"WHERE`id`="'.$info[0].'"')))
{
if($conn->query('SELECT COUNT(*)FROM`istoric_nume`WHERE`de`="'.$info[0].'"&&`valid`>0')->fetch_row()[0]==0)
$conn->query('INSERT INTO`istoric_nume`SET`nume`="'.$nume_vechi.'",`de`="'.$info[0].'",`data`="'.$info[3].'",`valid`="'.$de.'"');
if($conn->query('UPDATE`istoric_nume`SET`valid`="'.$de.'"WHERE`id`="'.$pid.'"'))
$conn->query('INSERT INTO`jurnal_admini`SET`nume`="Nume",`de`="'.$de.'",`text`="a schimbat numele din [b]'.$nume_vechi.'[/b], în [b]'.$info[1].'[/b], al lui",`la`="'.$info[0].'",`data`="'.$_SERVER['REQUEST_TIME'].'"');
require'f_sterg.php';
actualizeaza_text('/la/'.$la.'-'.seo($nume_vechi),'/la/'.$la.'-'.seo($info[1]));
if($info[0]!=$de)
{
require'f_notificare.php';
notificare('ti-am validat numele [b]'.$info[1].'[/b]!',$info[0],$de);
}
echo$div[4].'<img src="'.$domenii_statice[1].'actiune_check.png" alt="" width="16" height="16" />Succes!'.$div[5].$div[6].'Nume validat!';
}
else
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].'Acest nume a fost validat sau respins de către alt administrator!';
echo$div[0];
require'f_jos.php';